# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorarch: %global perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)}

Name:		perl-Params-Classify
Version:	0.013
Release:	4.%{__distinit}%{__distvers}
Summary:	Argument type classification
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Params-Classify/
Source0:	http://search.cpan.org/CPAN/authors/id/Z/ZE/ZEFRAM/Params-Classify-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	perl(ExtUtils::ParseXS) >= 2.2006
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(parent)
BuildRequires:	perl(Scalar::Util) >= 1.01
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Exporter)
Requires:	perl(Scalar::Util) >= 1.01

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module provides various type-testing functions. These are intended
for functions that, unlike most Perl code, care what type of data they
are operating on. For example, some functions wish to behave
differently depending on the type of their arguments (like overloaded
functions in C++).

%prep
%setup -q -n Params-Classify-%{version}

%build
perl Build.PL installdirs=vendor optimize="%{optflags}"
./Build

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
chmod -R u+w %{buildroot}

%check
LC_ALL=C ./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/Params/
%{perl_vendorarch}/Params/
%{_mandir}/man3/Params::Classify.3pm*

%changelog
* Wed Oct  5 2011 Paul Howarth <paul@city-fan.org> - 0.013-4
- import from Fedora

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.013-3
- perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.013-2
- rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 19 2010 Iain Arnell <iarnell@gmail.com> - 0.013-1
- update to latest upstream version

* Tue Nov 09 2010 Iain Arnell <iarnell@gmail.com> - 0.012-3
- BR perl(ExtUtils::ParseXS) >= 2.2006 now that it's available

* Sat Nov 06 2010 Iain Arnell <iarnell@gmail.com> - 0.012-2
- clarify ExtUtils::ParseXS build requirement version

* Thu Nov 04 2010 Iain Arnell <iarnell@gmail.com> - 0.012-1
- update to latest upstream version
- use correct optflags macro

* Sun Sep 26 2010 Iain Arnell <iarnell@gmail.com> - 0.011-1
- Specfile autogenerated by cpanspec 1.78
